SDL_SetTexturePalette(3)

NAME
SDL_SetTexturePalette - Set the palette used by a texture.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_SetTexturePalette(SDL_Texture *texture, SDL_Palette *palette);

DESCRIPTION
Setting the palette keeps an internal reference to the palette, which can be safely destroyed afterwards.

A single palette can be shared with many textures.

FUNCTION PARAMETERS

texture
    the texture to update.

palette
    the SDL_Palette structure to use.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.4.0.

SEE ALSO
SDL_CreatePalette(3), SDL_GetTexturePalette(3)